Subject: RE: Feature Request: Interactively pick fixup revision

From: <[email-masked]>
Date: Sat, 9 Nov 2024 08:09:14 -0500

On November 9, 2024 6:41 AM, Martin Imre wrote:
>first email to this list, so please forgive me if I'm doing something wrong.
>
>My usual workflow is using `git commit --fixup <revision>` quite frequently, as it
>eases the code reviewing process and allows for a clean history later on.
>
>One thing that is always cumbersome is to first find the SHA of the revision that I
>plan to commit a fixup to.
>I usually use git log and then copy the revision.
>I even wrote a script that eases this process using fzf:
>```
>#!/bin/bash
>
>res=$(git log --oneline | fzf)
>ref=$(echo $res | cut -d ' ' -f1)
>
>git commit --fixup ${ref}
>```
>
>I don't think fzf is really necessary here, but it speeds things up.
>
>Anyhow, I'm really surprised that this isn't a feature of git.
>I could see a `git commit --fixup` (without a revision) or `git commit --fixup --
>interactive` open up the git log and let one pick the revision they want to commit a
>fixup to.

You might find that git rebase --autosquash -i <commit> might do what
you are looking for. This allows you to clean up your topic branch prior
to creating a pull request. Loads of documentation online about its use.

Good luck,
Randall